
SCM Creator (+Github) - Bug #2398

No create button for Subversion in Redmne 3.x

02 Oct 2015 12:10 - Skirmantas Lauzikas

Status: Closed Start date: 02 Oct 2015

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.5.1   

Redmine version:  External issue:  

Description

“Create new repository” button is missing if Subversion is selected, everything is ok if git is selected.

System info:

Environment:

Redmine version                3.0.2.stable.14236

Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

Rails version                  4.2.1

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.10

Git                            2.1.4

Redmine plugins:

redmine_scm                    0.5.1

scm.yml:

production:

deny_delete: false

auto_create: false

force_repository: true

max_repos: 0

only_creator: false

allow_add_local: true

allow_pickup: true

svn:

path: /usr/share/svn-repos

svnadmin: /usr/bin/svnadmin

url: <..>

git:

path: /usr/share/git-repos

git: /usr/bin/git

options: --bare

url: <..>

update_server_info: true

git_ext: true

Associated revisions

Revision 145 - 21 Dec 2016 19:22 - Andriy Lesyuk

Refactor external URL and Create buttin code (#2398)

History

#1 - 17 Apr 2016 21:03 - Takashi Okamoto

I fixed here https://github.com/alminium/redmine_scm/tree/redmine-3.2.x.

Andy, feel free to merge above fix.

regards,
https://github.com/alminium/redmine_scm/tree/redmine-3.2.x


#2 - 21 Jul 2016 16:59 - Lukas Pirl

Similar to Takashi Okamoto, I replaced the dirty hack with an updated dirty hack to make it work on Redmine 3.0.3.

--- lib/scm_repositories_helper_patch.rb    (revision 142)

+++ lib/scm_repositories_helper_patch.rb    (working copy)

@@ -57,7 +58,8 @@

                 else # Rails 3.1 and above

                     add = submit_tag(l(:button_create_new_repository), :onclick => "$('#repository_operation'

).val('add');")

                 end

-                svntags.sub!('<br />', ' ' + add + '<br />')

+                svntags.sub!('<label for="repository_login">',

+                             ' ' + add + '<br /><br /><label for="repository_login">')

                 svntags << hidden_field_tag(:operation, '', :id => 'repository_operation')

                 unless request.post?

                     path = SubversionCreator.access_root_url(SubversionCreator.default_path(@project.identifi

er), repository)

 

Also, feel free to merge this (as in: I'd be delighted to see this fixed ).

#3 - 26 Aug 2016 15:13 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.5.1

#4 - 21 Dec 2016 19:23 - Andriy Lesyuk

- Status changed from Open to Closed

- % Done changed from 0 to 100
